4***@qq.com
4***@qq.com
  • 发布:2023-09-04 19:05
  • 更新:2023-12-11 17:38
  • 阅读:401

【报Bug】3.8.12 uts报错,使用了uni-wifi,打包失败

分类:HBuilderX

产品分类: HbuilderX

PC开发环境操作系统: Windows

PC开发环境操作系统版本号: win10

HBuilderX版本号: 3.8.12

示例代码:

[HBuilder] 19:02:41.002 Warning: Mapping new ns http://schemas.android.com/repository/android/common/02 to old ns http://schemas.android.com/repository/android/common/01
[HBuilder] 19:02:41.002 Warning: Mapping new ns http://schemas.android.com/repository/android/generic/02 to old ns http://schemas.android.com/repository/android/generic/01
[HBuilder] 19:02:41.003 Warning: Mapping new ns http://schemas.android.com/sdk/android/repo/addon2/02 to old ns http://schemas.android.com/sdk/android/repo/addon2/01
[HBuilder] 19:02:41.003 Warning: Mapping new ns http://schemas.android.com/sdk/android/repo/addon2/03 to old ns http://schemas.android.com/sdk/android/repo/addon2/01
[HBuilder] 19:02:41.003 Warning: Mapping new ns http://schemas.android.com/sdk/android/repo/repository2/02 to old ns http://schemas.android.com/sdk/android/repo/repository2/01
[HBuilder] 19:02:41.003 Warning: Mapping new ns http://schemas.android.com/sdk/android/repo/repository2/03 to old ns http://schemas.android.com/sdk/android/repo/repository2/01
[HBuilder] 19:02:41.003 Warning: Mapping new ns http://schemas.android.com/sdk/android/repo/sys-img2/03 to old ns http://schemas.android.com/sdk/android/repo/sys-img2/01
[HBuilder] 19:02:41.003 Warning: Mapping new ns http://schemas.android.com/sdk/android/repo/sys-img2/02 to old ns http://schemas.android.com/sdk/android/repo/sys-img2/01
[HBuilder] 19:02:41.003 Warning: unexpected element (uri:"", local:"base-extension"). Expected elements are <{}codename>,<{}layoutlib>,<{}api-level>
[HBuilder] 19:02:41.004 e: file://uni_modules/uni-wifi/utssdk/app-android/src/index.kt:9:18 Unresolved reference: uniapp
[HBuilder] 19:02:41.004 e: file://uni_modules/uni-wifi/utssdk/app-android/src/index.kt:32:5 Unresolved reference: UTSObject
[HBuilder] 19:02:41.004 e: file://uni_modules/uni-wifi/utssdk/app-android/src/index.kt:42:5 Unresolved reference: UTSObject
[HBuilder] 19:02:41.004 e: file://uni_modules/uni-wifi/utssdk/app-android/src/index.kt:48:5 Unresolved reference: UTSObject
[HBuilder] 19:02:41.004 e: file://uni_modules/uni-wifi/utssdk/app-android/src/index.kt:50:6 Unresolved reference: JsonNotNull
[HBuilder] 19:02:41.004 e: file://uni_modules/uni-wifi/utssdk/app-android/src/index.kt:56:5 Unresolved reference: UTSObject
[HBuilder] 19:02:41.004 e: file://uni_modules/uni-wifi/utssdk/app-android/src/index.kt:58:6 Unresolved reference: JsonNotNull
[HBuilder] 19:02:41.004 e: file://uni_modules/uni-wifi/utssdk/app-android/src/index.kt:60:6 Unresolved reference: JsonNotNull
[HBuilder] 19:02:41.004 e: file://uni_modules/uni-wifi/utssdk/app-android/src/index.kt:62:6 Unresolved reference: JsonNotNull
[HBuilder] 19:02:41.004 e: file://uni_modules/uni-wifi/utssdk/app-android/src/index.kt:65:5 Unresolved reference: UTSObject
[HBuilder] 19:02:41.005 e: file://uni_modules/uni-wifi/utssdk/app-android/src/index.kt:100:6 Unresolved reference: JsonNotNull
[HBuilder] 19:02:41.005 e: file://uni_modules/uni-wifi/utssdk/app-android/src/index.kt:103:6 Unresolved reference: JsonNotNull
[HBuilder] 19:02:41.005 e: file://uni_modules/uni-wifi/utssdk/app-android/src/index.kt:105:6 Unresolved reference: JsonNotNull
[HBuilder] 19:02:41.005 e: file://uni_modules/uni-wifi/utssdk/app-android/src/index.kt:107:6 Unresolved reference: JsonNotNull
[HBuilder] 19:02:41.005 e: file://uni_modules/uni-wifi/utssdk/app-android/src/index.kt:109:6 Unresolved reference: JsonNotNull
[HBuilder] 19:02:41.005 e: file://uni_modules/uni-wifi/utssdk/app-android/src/index.kt:111:5 Unresolved reference: UTSObject
[HBuilder] 19:02:41.005 e: file://uni_modules/uni-wifi/utssdk/app-android/src/index.kt:279:90 Type mismatch: inferred type is Number but Int was expected
[HBuilder] 19:02:41.005
[HBuilder] 19:02:41.006 FAILURE: Build failed with an exception.
[HBuilder] 19:02:41.006
[HBuilder] 19:02:41.006 What went wrong:
[HBuilder] 19:02:41.006 Execution failed for task ':uni_modules:uni-wifi:compileReleaseKotlin'.
[HBuilder] 19:02:41.006 > A failure occurred while executing org.jetbrains.kotlin.compilerRunner.GradleCompilerRunnerWithWorkers$GradleKotlinCompilerWorkAction
[HBuilder] 19:02:41.006 > Compilation error. See log for more details
[HBuilder] 19:02:41.006
[HBuilder] 19:02:41.006
Try:
[HBuilder] 19:02:41.006 > Run with --stacktrace option to get the stack trace.
[HBuilder] 19:02:41.006 > Run with --info or --debug option to get more log output.
[HBuilder] 19:02:41.006 > Run with --scan to get full insights.
[HBuilder] 19:02:41.007
[HBuilder] 19:02:41.007 * Get more help at https://help.gradle.org
[HBuilder] 19:02:41.007
[HBuilder] 19:02:41.007 BUILD FAILED in 34s

操作步骤:

点击打包

预期结果:

完成打包

实际结果:

无法打包

bug描述:

3.8.7没有问题,3.8.12打包报错,无法打包

2023-09-04 19:05 负责人:无 分享
已邀请:
4***@qq.com

4***@qq.com (作者)

@DCloud_Android_DQQ

DCloud_Android_DQQ

DCloud_Android_DQQ

我刚才重新下载,没有复现这个问题。

你用3.8.12 正式版试试 有没有问题

  • 4***@qq.com (作者)

    您好,你可以试一下用vue-cli创建项目,vue2语言,导入uni-wifi1.0.4,报错的,运行也会报错

    2023-09-10 23:19

4***@qq.com

4***@qq.com (作者)

@DCloud_Android_DQQ 已经是最新版本了,3.8.12了。运行的时候报正在安装uts运行插件,但是一直安装不上

  • 4***@qq.com (作者)

    Error: getaddrinfo ENOTFOUND 96f0e031-f37a-48ef-84c7-2023f6360c0a.bspapp.com

    18:21:55.812 at GetAddrInfoReqWrap.onlookup [as oncomplete] (node:dns:109:26) {

    18:21:55.812 errno: -3008,

    18:21:55.812 code: 'ENOTFOUND',

    18:21:55.828 syscall: 'getaddrinfo',

    18:21:55.828 hostname: '96f0e031-f37a-48ef-84c7-2023f6360c0a.bspapp.com'

    18:21:55.844 }

    2023-09-05 18:26

  • 4***@qq.com (作者)

    Module build failed (from ./node_modules/@dcloudio/uni-cli-shared/lib/uts/uts-loader.js):

    18:21:55.430 NonErrorEmittedError: (Emitted value instead of an instance of Error) 项目使用了uts插件,正在安装 uts Android 运行扩展...

    at context.callback (D:\project\v3\DELTRIX_InstallationAPP\node_modules\loader-runner\lib\LoaderRunner.js:111:13)

    2023-09-05 18:27

愤怒的洋芋蛋蛋

愤怒的洋芋蛋蛋 - 苦逼程序员

哇靠我也遇到这个问题了,要怎么解决啊。

1***@qq.com

1***@qq.com

hbuilder建议升级到3.98,就能解决打包问题。

要回复问题请先登录注册